
QGIS Application - Bug report #795

WMS Connection doesn't reload from saved project

2007-11-07 11:12 PM - horst-duester -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: RedHat Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10854

Description

When I reload a saved project which contains WMS layer, these layer appear in the table of contens but they are not shown in the

mapcanvas.

History

#1 - 2007-11-08 01:54 PM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to fixed

should already be fixed with commit:bc72f778 (SVN r7351)

#2 - 2007-11-08 11:11 PM - horst-duester -

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

For me it doesn't work with rev. 7359. Are there any dependencies to other libs like GDAL? Is a special GDAL rev. assumed?

#3 - 2007-11-09 12:18 AM - Jürgen Fischer

If the WMS layer doesn't show only on reload of the project, but is fine before, I wouldn't expect a dependency problem.

Can you supply a testcase to reproduce the problem?

#4 - 2007-11-09 01:21 AM - horst-duester -

Loading of a rev. 7359 stored project works for me now too. (see test.qgs)

Loadings of a pre rev. 7359 stored project doesnt work. (see wms_project.qgs)

Lets have a look at this behavior. Maybe we can close this ticket.

#5 - 2007-11-09 02:20 AM - Jürgen Fischer

I can load (and see) both in .  In the diff between the old and new project file I see that the geographicflag in the SRS of the layer changes from true to
false.

What happens if you change that?

#6 - 2007-11-09 03:52 AM - horst-duester -

- Status changed from Feedback to Closed

- Resolution set to fixed

mmm...

The essential difference of the two project files is the <wmsFormat></wmsFormat> Tag.

The non working file says <wmsFormat>image/gif</wmsFormat> and the working file says <wmsFormat>image/png</wmsFormat>. The mentioned WMS

doesn't deliver gif images, only png and jpeg. Of course QGIS is not able to load this wms.

The latest rev. 7395 saves the <wmsFormat> tag in the correct way. Perhaps there is a bug in former revisions.

#7 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.9.1 deleted

Files

wms_project.qgs 4.8 KB 2007-11-09 horst-duester -

test.qgs 5 KB 2007-11-09 horst-duester -
